#### D.14.8.8 addElement

Procedure from library `sets.lib` (see sets_lib).

Usage:
  addElement(M,a) ; M Set, a freely chosen element

Return:
  adds the Element a to the Set M

Example:

    LIB "sets.lib";
    //example for addElement
    int a=4;
    list L = 1,2,3;
    Set S = L;
    S;
    ==> {3; 2; 1}
    ==> Set with 3 elements
    ==>
    a;
    ==> 4
    addElement(S,a);
    ==> {1; 2; 3; 4}
    ==> Set with 4 elements
    ==>

User manual for Singular version 4.4.1, 2025, generated by texi2html.